<!DOCTYPE html>
<!-- contact17.php -->
<head>
   <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=yes" />
   <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js">	
   <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
   <link rel="stylesheet" href="contact17.css">

<style type="text/css">
.tutorial-table th {
	    text-align: left;
	    background: #f0F0F0;
	    padding: 10px;
	}
.tutorial-table td {
	    border-bottom: #e1e0e0 1px solid;
	    padding: 10px;
}
	
@media screen and (max-width: 900px) and (min-width: 550px) {
		.priority-5{
			display:none;
		}
}
	
@media screen and (max-width: 550px) {
		.priority-5{
			display:none;
		}
		.priority-4{
			display:none;
		}
}
	
@media screen and (max-width: 300px) {
		.priority-5{
			display:none;
		}
		.priority-4{
			display:none;
		}
		.priority-3{
			display:none;
		}
		.priority-2{
			display:none;
        }
	
}
</style>  
</head>

<body>	

<div class="box1 priority-1">
<div id="mydiv"> 
  <div id="mydivheader"><center>Move</center></div>
   <input size="30px" type="text" id="FirstName" name="FirstName" placeholder="Filter" onkeyup="filterTable()"></th>
</div>
</div>

<script type=text/javascript>

// Make the DIV element draggable:
dragElement(document.getElementById("mydiv"));

function dragElement(elmnt) {
  var pos1 = 0, pos2 = 0, pos3 = 0, pos4 = 0;
  if (document.getElementById(elmnt.id + "header")) {
    // if present, the header is where you move the DIV from:
    document.getElementById(elmnt.id + "header").onmousedown = dragMouseDown;
  } else {
    // otherwise, move the DIV from anywhere inside the DIV:
    elmnt.onmousedown = dragMouseDown;
  }

  function dragMouseDown(e) {
    e = e || window.event;
    e.preventDefault();
    // get the mouse cursor position at startup:
    pos3 = e.clientX;
    pos4 = e.clientY;
    document.onmouseup = closeDragElement;
    // call a function whenever the cursor moves:
    document.onmousemove = elementDrag;
  }

  function elementDrag(e) {
    e = e || window.event;
    e.preventDefault();
    // calculate the new cursor position:
    pos1 = pos3 - e.clientX;
    pos2 = pos4 - e.clientY;
    pos3 = e.clientX;
    pos4 = e.clientY;
    // set the element's new position:
    elmnt.style.top = (elmnt.offsetTop - pos2) + "px";
    elmnt.style.left = (elmnt.offsetLeft - pos1) + "px";
  }

  function closeDragElement() {
    // stop moving when mouse button is released:
    document.onmouseup = null;
    document.onmousemove = null;
  }
}

</script>
<div class="box">
 <table id="main-table" border="0">
   <col span="5" style="background-color:lightblue">
<tr class="hdgo">
    <th class='priority-1' onclick="comparer(0)">ID</th>
    <th class='priority-2' onclick="comparer(1)">First Name</th>
    <th class='priority-3' onclick="comparer(2)">Last Name</th>
    <th class='priority-4' onclick="comparer(3)">Mobile</th>
    <th class='priority-5' onclick="comparer(4)">Email</th>
</tr>
<?php


   class MyDB extends SQLite3
   {
      function __construct()
      {
         $this->open('contact8.sqlite');
      }
   }
   $db = new MyDB();
   if(!$db){
      echo $db->lastErrorMsg();
   } else {
   }
 $ret = $db->query("SELECT * FROM Details");
   while($row = $ret->fetchArray(SQLITE3_ASSOC) ){
     echo "<tr><td class='priority-1'>".$row['ID']."</td>";
     echo "<td class='priority-2'>".$row['FirstName']."</td>";
     echo "<td class='priority-3'>".$row['LastName']."</td>";
     echo "<td class='priority-4'>".$row['Mobile']."</td>";
     echo "<td class='priority-5'>".$row['Email']."</td></tr>";    
   }
   $db->close();
?>
</table>
</div>
<script type="text/javascript" src="functions17.js"></script>
</body>
</html>
